Package: org.codehaus.groovy.grails.plugins.build.scopes

## [Groovy] Class PluginScopeInfo

- org.codehaus.groovy.grails.plugins.build.scopes.PluginScopeInfo

- Encapsulates information about plugins contained within a particular scope.

  Authors:
    Graeme Rocher
  Since:
    2.0

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `java.util.Set<Resource>` | `artefactResources`
    `java.util.Set<Resource>` | `pluginDescriptors`
    `java.util.Set<GrailsPluginInfo>` | `pluginInfos`
    `java.util.Set<java.lang.String>` | `pluginNames`
    `java.lang.String` | `scopeName`
    `java.util.Set<Resource>` | `sourceDirectories`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `PluginScopeInfo (java.lang.String scopeName)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `PluginScopeInfo` | `minus(PluginScopeInfo other)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Property Detail

    - #### java.util.Set<Resource> artefactResources

    - #### java.util.Set<Resource> pluginDescriptors

    - #### java.util.Set<GrailsPluginInfo> pluginInfos

    - #### java.util.Set<java.lang.String> pluginNames

    - #### java.lang.String scopeName

    - #### java.util.Set<Resource> sourceDirectories

  - ### Constructor Detail

    - #### PluginScopeInfo(java.lang.String scopeName)

  - ### Method Detail

    - #### PluginScopeInfo minus(PluginScopeInfo other)